Subject: Re: [RFC PATCH v2 02/11] slab: add private memory allocator header for arch/lib

From: Hajime Tazaki <[email-masked]>
Date: Sat, 18 Apr 2015 00:27:27 +0900

At Fri, 17 Apr 2015 17:08:22 +0200,
Richard Weinberger wrote:

> >>>> add header includion for CONFIG_LIB to wrap kmalloc and co. This will
> >>>> bring malloc(3) based allocator used by arch/lib.
> >>>
> >>> Maybe add another allocator insteadl? SLLB which implements memory
> >>> management using malloc()?
> >>
> >> Yeah, that's a good idea.
> > 
> > first, my bad, I should be more precise on the commit message.
> > 
> > the patch with 04/11 patch is used _not_ only malloc(3) but
> > also any allocator registered by our entry API, lib_init().
> > 
> > for NUSE case, we use malloc(3) but for DCE (ns-3) case, we
> > use our own allocator, which manages the (virtual) process
> > running on network simulator.
> > 
> > if these externally configurable memory allocator are point
> > of interest in Linux kernel, maybe adding another allocator
> > into mm/ is interesting but I'm not sure. what do you think ?
> 
> This is the idea behind SLLB.
> 
> > btw, what does stand for SLLB ? (just curious)
> 
> SLUB is the unqueued SLAB and SLLB is the library SLAB. :D

thanks.
I will be back with SLLB and give v3 patches soon.

-- Hajime